function mseval= MSE(X, Xt)
% ----------------------------------------------------------------------
% Function to compute the mean square error between two matrices
% Inputs: X: Reference matrix
%         Xt: Estimated Matrix
% Output: mseval: MSE value
% Author: Toumi.I
% August 2017
% ----------------------------------------------------------------------

X = double(X);
Xt = double(Xt);

error = abs(X - Xt).^2;
mseval = sum(error(:)) / numel(X);

end
